local t = Def.ActorFrame {};

--[[ t[#t+1] = Def.ActorFrame {
 InitCommand=cmd(zoom,1.25;bob;effectclock,'beat';effectperiod,4;effectmagnitude,0,8,0);
    LoadActor( THEME:GetPathG("_logo", "normal/brush") ) .. {
        InitCommand=cmd(diffuse,0,0,0,0.5);
    };
    LoadActor( THEME:GetPathG("_logo", "normal/over") ) .. {
        InitCommand=cmd(diffuse,0,0,0,0.5);
    };
}; --]]

t[#t+1] = Def.ActorFrame {
 FOV=90;
	--Wings
--[[ 	Def.ActorFrame {
		LoadActor( THEME:GetPathG("_logo", "normal/_wing") ) .. {
			InitCommand=cmd(x,-100;horizalign,right;vertalign,bottom;wag;rotationz,-20;effectmagnitude,0,8,24;effectoffset,0.2;diffusealpha,0.25);
		};
		LoadActor( THEME:GetPathG("_logo", "normal/_wing") ) .. {
			InitCommand=cmd(x,-100;horizalign,right;vertalign,bottom;wag;rotationz,-10;effectmagnitude,0,8,18;effectoffset,0.2;diffusealpha,0.5);
		};
		LoadActor( THEME:GetPathG("_logo", "normal/_wing") ) .. {
			InitCommand=cmd(x,-100;horizalign,right;vertalign,bottom;wag;rotationz,0;effectmagnitude,0,8,14;effectoffset,0.2;diffusealpha,0.75);
		};
		LoadActor( THEME:GetPathG("_logo", "normal/_wing") ) .. {
			InitCommand=cmd(x,-100;horizalign,right;vertalign,bottom;wag;rotationz,10;effectmagnitude,0,8,10;effectoffset,0.2);
		};
	}; --]]
	LoadActor( THEME:GetPathG("_logo", "normal/under") ) .. {
		InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;zoomy,1.2;pulse;effecttiming,2,0,0,0;effectmagnitude,1.2,1,1;effectclock,'beat';blend,bmAdd;diffusealpha,0.5);
	};
	LoadActor( THEME:GetPathG("_logo", "normal/under") ) .. {
		InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;diffuse,LightColor(cBlue);glow,1,1,1,0.5;diffusealpha,1);
	};
	LoadActor( THEME:GetPathG("_logo", "normal/under") ) .. {
		InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;zoomy,1.2;diffuse,cBlue;diffusealpha,0.25);
	};
	
	-- Ringos
	LoadActor(THEME:GetPathB("_shared","background original/ring")) .. { 
		InitCommand=cmd(z,50;x,-264*0.625;spin;rotationy,-90;zoom,0.25;);
	};
	
	Def.ActorFrame {
	 InitCommand=cmd(pulse;effecttiming,2,6,0,0;effectclock,'beat';effectmagnitude,1,1.5,5;zoomy,1.3);
		LoadActor( THEME:GetPathG("_logo", "normal/over") ) .. {
			InitCommand=cmd(blend,bmAdd);
			OnCommand=cmd(diffuseshift;effecttiming,2,6,0,0;effectclock,'beat';effectcolor1,1,1,1,1;effectcolor2,1,1,1,0);
		};
	};
    LoadActor( THEME:GetPathG("_logo", "normal/over") );
	
    LoadActor( THEME:GetPathG("_logo", "normal/over") ) .. {
		InitCommand=cmd(diffuseshift;blend,"BlendMode_Add";diffusealpha,0.2);
	};
};
-- Theme Info
t[#t+1] = Def.ActorFrame {
	LoadFont("_helveticaneuelt std extended 20px") .. {
		--Text="Version " .. CurrentThemeInfo["Version"];
		Text=CurrentThemeInfo["Event"].." 1";
		InitCommand=cmd(x,(264/8)-24;y,55-18;NoStroke;shadowlength,1;skewx,-0.25;horizalign,right);
-- 		InitCommand=cmd(x,264-32;y,55-18;shadowlength,1;horizalign,right);
		OnCommand=cmd(linear,1;diffusebottomedge,LightColor(cBlue));
	};
};

-- simple credits
t[#t+1] = Def.ActorFrame {
	LoadFont("_helveticaneuelt std extended 20px") .. {
		Text="Original theme by Midiman / Ported by the spinal shark collective";
		InitCommand=cmd(y,80;zoom,0.75;NoStroke;shadowlength,1);
		OnCommand=cmd(linear,1;diffusebottomedge,color("#EEEEEE"));
	};
};

t.InitCommand = cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y*0.875;);

return t
